return function(page, offset, screen_width, screen_height)
    local percent = offset/page.width
    local angle = percent*math.pi/2
    local dir

    page:translate(offset)

    if( percent < 0 ) then
        page:scale(0)
    else
        for i, icon in subviews(page) do
            local center = (page.max_columns-1)/2
            local i_num = (i-1) % page.max_columns
            if ( i_num < center ) then dir = -1
            else dir = 1
            end
            icon:translate( dir*(icon.x+icon.width/2) )
            icon:rotate(-dir*angle, 0, 1, 0)
            icon:translate( -dir*(icon.x+icon.width/2) )
        end
    end
end
